# Generated from caperoma-5.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name caperoma

Name: rubygem-%{gem_name}
Version: 5.0.0
Release: 1%{?dist}
Summary: Automate your workflow with Ruby / Git / Jira / PivotalTracker
License: MIT
URL: http://github.com/zoopyserg/caperoma
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(database_cleaner) >= 1.7.0
# BuildRequires: rubygem(database_cleaner) < 1.8
# BuildRequires: rubygem(factory_girl) >= 4.9.0
# BuildRequires: rubygem(factory_girl) < 4.10
# BuildRequires: rubygem(rspec) >= 3.8.0
# BuildRequires: rubygem(rspec) < 3.9
# BuildRequires: rubygem(shoulda) >= 2.11.3
# BuildRequires: rubygem(shoulda) < 2.12
# BuildRequires: rubygem(shoulda-matchers) >= 4.1.0
# BuildRequires: rubygem(shoulda-matchers) < 4.2
# BuildRequires: rubygem(timecop) >= 0.9.1
# BuildRequires: rubygem(timecop) < 0.10
BuildArch: noarch

%description
Caperoma automates many decisions related to the programming that you
often don't realize, and which you can forget hundreds of times during the
time of working on the project:
pulling the latest code from upstream before you start working,
remembering from which branch you started the feature to later make a pull
request into it,
creating & starting tasks in Jira,
creating & starting tasks in Pivotal,
naming branches,
adding Jira ID into the branch name,
style guide checks,
commits,
naming commits,
adding Jira ID into commit name,
adding Pivotal ID into commit name,
git pushes,
pull requests into correct branches,
stopping tasks in Jira,
stopping tasks in Pivotal,
tracking time,
logging time to Jira,
switching back into the original branch and much more.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/caperoma
%{gem_instdir}/.ruby-version
%{gem_instdir}/Capefile
%{gem_instdir}/Capefile.template
%{gem_instdir}/Capefile.test
%{gem_instdir}/HELP
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_instdir}/images
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/caperoma.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 5.0.0-1
- Initial package
